/*
 * linux/include/ve_nfs.h
 *
 * VE context for NFS
 *
 * Copyright (C) 2007 SWsoft
 */

#ifndef __VE_NFS_H__
#define __VE_NFS_H__

#ifdef CONFIG_VE
struct ve_nfs_context {
	struct file_system_type *fstype;
	unsigned int		_nlmsvc_users;
	pid_t			_nlmsvc_pid;
	int			_nlmsvc_grace_period;
	unsigned long		_nlmsvc_timeout;
};

#define NFS_CTX_FIELD(arg)						\
        (*(get_exec_env()->nfs_context == NULL ? &_##arg :		\
		       &get_exec_env()->nfs_context->_##arg))
#define nlmsvc_grace_period	NFS_CTX_FIELD(nlmsvc_grace_period)
#define nlmsvc_timeout		NFS_CTX_FIELD(nlmsvc_timeout)
#define nlmsvc_users		NFS_CTX_FIELD(nlmsvc_users)
#define nlmsvc_pid		NFS_CTX_FIELD(nlmsvc_pid)
#else
#define nlmsvc_grace_period	_nlmsvc_timeout
#define nlmsvc_timeout		_nlmsvc_grace_period
#define nlmsvc_pid		_nlmsvc_pid
#define nlmsvc_timeout		_nlmsvc_timeout
#endif

#endif
