/*
 *  include/ub/beancounter.h
 *
 *  Copyright (C) 1999-2005  SWsoft
 *  All rights reserved.
 *  
 *  Licensing governed by "linux/COPYING.SWsoft" file.
 *
 *  Pavel Emelianov <xemul@openvz.org>
 *
 */

#ifndef __UB_DISK_IO_H_
#define __UB_DISK_IO_H_

#ifdef CONFIG_USER_RESOURCE
#include <ub/beancounter.h>
static inline void ub_io_account_read(struct task_struct *tsk, size_t bytes)
{
	struct user_beancounter *ub;

	ub = tsk->task_bc.exec_ub;
	ub->ub_dio.read_bytes += bytes;
}

static inline void ub_io_account_write_request(struct task_struct *tsk,
		size_t bytes)
{
	struct user_beancounter *ub;

	ub = tsk->task_bc.exec_ub;
	ub->ub_dio.write_bytes += bytes;
}

static inline void ub_io_account_write_cancelled(struct task_struct *tsk,
		size_t bytes)
{
	struct user_beancounter *ub;

	ub = tsk->task_bc.exec_ub;
	ub->ub_dio.cancelled_write_bytes += bytes;
}

static inline void ub_io_accounting_init(struct user_beancounter *ub)
{
	memset(&ub->ub_dio, 0, sizeof(ub->ub_dio));
}
#else /* USER_RESOURCE */
static inline void ub_io_account_read(struct task_struct *tsk, size_t bytes)
{
}

static inline void ub_io_account_write_request(struct task_struct *tsk,
		size_t bytes)
{
}

static inline void ub_io_account_write_cancelled(struct task_struct *tsk,
		size_t bytes)
{
}

static inline void ub_io_accounting_init(struct user_beancounter *ub)
{
}
#endif
#endif
